[asterisk-commits] kpfleming: branch 1.2 r114822 - /branches/1.2/contrib/scripts/get_ilbc_source.sh
SVN commits to the Asterisk project
asterisk-commits at lists.digium.com
Tue Apr 29 07:52:32 CDT 2008
Author: kpfleming
Date: Tue Apr 29 07:52:32 2008
New Revision: 114822
URL: http://svn.digium.com/view/asterisk?view=rev&rev=114822
Log:
stop script from appending source code if run multiple times
Modified:
branches/1.2/contrib/scripts/get_ilbc_source.sh
Modified: branches/1.2/contrib/scripts/get_ilbc_source.sh
URL: http://svn.digium.com/view/asterisk/branches/1.2/contrib/scripts/get_ilbc_source.sh?view=diff&rev=114822&r1=114821&r2=114822
==============================================================================
--- branches/1.2/contrib/scripts/get_ilbc_source.sh (original)
+++ branches/1.2/contrib/scripts/get_ilbc_source.sh Tue Apr 29 07:52:32 2008
@@ -1,4 +1,13 @@
#!/bin/sh -e
+
+if [ -f codecs/ilbc/iLBC_define.h ]; then
+ echo "***"
+ echo "The iLBC source code appears to already be present and does not"
+ echo "need to be downloaded."
+ echo "***"
+
+ exit 1
+fi
echo "***"
echo "This script will download the Global IP Solutions iLBC encoder/decoder"
@@ -20,3 +29,5 @@
echo "***"
echo "The iLBC source code download is complete."
echo "***"
+
+exit 0
More information about the asterisk-commits
mailing list